package com.steerinfo.baseinfo.meterbaseversions.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="null")
public class MeterBaseVersions implements IBasePO<String> {
    /**
     * 主键编号(VERSIONS_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="主键编号",required=true)
    private String versionsNo;

    /**
     * 版本编号(VERSIONS_NUMBER,VARCHAR,255)
     */
    @ApiModelProperty(value="版本编号",required=false)
    private String versionsNumber;

    /**
     * 版本信息(VERSIONS_INFO,VARCHAR,255)
     */
    @ApiModelProperty(value="版本信息",required=false)
    private String versionsInfo;

    /**
     * 下载地址(DOWNLOAD_URL,VARCHAR,255)
     */
    @ApiModelProperty(value="下载地址",required=false)
    private String downloadUrl;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态（0:无效;1:有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0:无效;1:有效）",required=true)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.versionsNo;
    }

    @Override
    public void setId(String versionsNo) {
        this.versionsNo = versionsNo == null ? null : versionsNo.trim();
    }

    public String getVersionsNo() {
        return versionsNo;
    }

    public void setVersionsNo(String versionsNo) {
        this.versionsNo = versionsNo == null ? null : versionsNo.trim();
    }

    public String getVersionsNumber() {
        return versionsNumber;
    }

    public void setVersionsNumber(String versionsNumber) {
        this.versionsNumber = versionsNumber == null ? null : versionsNumber.trim();
    }

    public String getVersionsInfo() {
        return versionsInfo;
    }

    public void setVersionsInfo(String versionsInfo) {
        this.versionsInfo = versionsInfo == null ? null : versionsInfo.trim();
    }

    public String getDownloadUrl() {
        return downloadUrl;
    }

    public void setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl == null ? null : downloadUrl.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", versionsNo=").append(versionsNo);
        sb.append(", versionsNumber=").append(versionsNumber);
        sb.append(", versionsInfo=").append(versionsInfo);
        sb.append(", downloadUrl=").append(downloadUrl);
        sb.append(", memo=").append(memo);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}